Description
Mas Azid,

Mohon dibantu untuk buatkan parameter task-task dibawah ini.

. apv_kepalacab_plan

. apv_kepalacab_set

. apv_kepalacapem_plan

. apv_kepalacapem_set
apv_administrasi_umum_capem_plan
apv_administrasi_umum_capem_set
apv_administrasi_umum_cabang_plan
. apv_administrasi_umum_cabang_set
. apv_pimdiv_sdm_umum_plan

. apv_pimdiv_sdm_umum_set

CWOONOUIAWN=

—_

- kalau dia karyawan kantor pusat & kepala cabang, untuk approval 1 buat group approval (4 direktur)

untuk approval 2 cari pimpinan divisi SDM umum.

- kalau dia karyawan cabang/kantor kas/kepala capem, untuk approval 1 ke kepala cabang.

untuk approval 2 cari posisi administrasi cabang masingl.

- kalau dia karyawan capem, untuk approval 1 ke kepala capem.
untuk approval 2 cari posisi administrasi capem masingd.

Tipe 1:

Submitter merupakan karyawan kantor pusat atau kepala cabang maka approval akan masuk ke group approval direktur kemudian

ke pimpinan divisi SDM Umum (apv_pimdiv_sdm_umum_plan, apv_pimdiv_sdm_umum_set) .

Tipe 2:

Submitter merupakan karyawan cabang atau kantor kas atau kepala cabang pembantu maka approval akan masuk ke kepala

cabang (apv_kepalacab_plan, apv_kepalacab_set) kemudian ke administrasi umum cabang masing-masing
(apv_administrasi_umum_cabang_plan, apv_administrasi_umum_cabang_set)

Tipe 3:

Submitter merupakan karyawan cabang pembantu maka approval akan masuk ke kepala cabang pembantu
(apv_kepalacapem_plan, apv_kepalacapem_set) kemudian ke administrasi umum cabang pembantu masing-masing

(apv_administrasi_umum_capem_plan, apv_administrasi_umum_capem_set)

Terima kasih.

BizFlow: MD_Travel
Port: http://103.168.134.28:31130/

History

#1 - 08/04/2022 08:46 AM - Kezia Pawitra Yulianti
- Due date set to 08/10/2022
- Status changed from New to Assigned

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

Dear Fiona,
boleh dijelaskan dulu yg di maksud dgn approval oleh
http://103.168.134.28:31130/

- administrasi umum cabang masing-masing

- administrasi umum cabang pembantu masing-masing

- Pimpinan Divisi SDM Umum

untuk 3 task approval ini di dalam struktur organisasi membacanya dr mana ya?

Kalau harus membaca nama posisinya sepertinya gak bisa deh karena khan posisi itu di dalam aplikasi dibacanya sebagai object id dan object id
tidak bisa dijadikan key dan bisa selalu bertambah/dinamis id nya.

Tolong di perjelas terlebih dahulu untuk task approval yg di maksud ya Fi

Untuk approval2 yg lainnya spt direktur, kepala cabang, kepala cabang pembantu tolong di perjelas kode organization level yg di maksud
Thanks

#2 - 08/05/2022 03:45 PM - Fiona Avangeline Jonathan

- File clipboard-202208051541-gbvuo.png added

#3 - 08/05/2022 03:45 PM - Fiona Avangeline Jonathan

- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi

#4 - 08/05/2022 04:21 PM - Fiona Avangeline Jonathan
- File clipboard-202208051620-Ibv10.png added
Mas Azid, berikut tambahan informasi untuk pembuatan param di ESS Travel.
Task cond_creator, cond_creator_set - membaca employee office group (table PCMEPEMPOFF) dan isHead atau bukan.
1. Tipe 1 All employee di Employee Office Group 001 dan employee dengan posisi isHead di Employee Office Group 003.
2. Tipe 2 All employee di Employee Office Group 003, All employee di Employee Office Group 002 dan employee dengan posisi isHead di

Employee Office Group 004.
3. Tipe 3 All employee di Employee Office Group 004.

Task apv_kepalacab_plan, apv_kepalacab_set akan mencari employee yang memiliki organization level 3050 (is Head). Untuk task
apv_kepalacapem_plan, apv_kepalacapem_set akan mencari employee yang memiliki organization level 4000 (is Head).

Untuk task approval SDM (apv_administrasi_umum_capem_plan, apv_administrasi_umum_capem_set,

apv_administrasi_umum_cabang_plan, apv_administrasi_umum_cabang_set, apv_pimdiv_sdm_umum_plan, apv_pimdiv_sdm_umum_set)
dari 3 tipe akan dibuatkan group approval. Group approval akan berisi admin-admin SDM dari masing-masing cabang dan cabang pembantu dengan
employee ID yang sudah ditunjuk. Saya sudah menambahkan mapping employee office di table PCMWFCUSTGRUPAPPR. Mohon dibuatkan query

untuk membaca employee office creator agar dapat menentukan admin dari cabang/capem mana yang akan melakukan approval dan mencari
employee ID yang dituju dari table PCMWFCUSTGRUPAPPR.
HRIS-DATABASE.... MWFCUSTGRUPAPPR > QglissnVNF =Rt S8

RolelD EmployeelD EmployeeOffice
GroupAdm 10000285 404
GroupAdm 10000283 405
Grouphdm 10000284 406
GroupAdm 10000286 407
Grouphdm 10000287 409
GroupAdm 10000289 502
GroupAdm 10000288 503
GroupAdm 10000290 504
GroupAdm 10000291 302
Grouphdm 10000252 303
GroupAdm 100002493 304
Grouphdm 10000294 306
Groupidm 10000296 305
GroupAdm 10000295 402
GroupAdm 10000298 603
GroupAdm 10000299 10
Grouphdm 10000300 602
GroupAdm 10000301 200
Grouphdm 10000303 201
Grouphdm 10000302 203
GroupAdm 10000304 403
Grouphdm 10000236 001

Berikut contoh data untuk testing

Tipe 1

Kepala Cabang Utama - 10000246 (pemimpin cabang utama)

Group Approval Direktur - 10000250 (dirut), 10000247 (dir umum dan keuangan), 10000248 (dir pemasaran, bisnis), 10000249 (dir operasional)
Approval Pimpinan Divisi SDM Umum - 10000256 (pemimpin divisi SDM dan Umum)

Tipe 2

Karyawan Cabang - 10000251 (asisten administrasi keuangan dan umum cab kuala kurun)
Approval Kepala Cabang Kuala Kurun - 10000257 (pemimpin cabang kuala kurun)
Approval Administrasi Umum Cabang Kuala Kurun - 10000259

Karyawan Kantor Kas - 10000252 (yunior teller kantor kas)
Approval Kepala Cabang Pangkalan Bun - 10000258 (pemimpin cabang pangkalan bun)
Approval Administrasi Umum Cabang Pangkalan Bun - 10000261

Kepala Cabang Pembantu - 10000254 (pemimpin capem pasar baru)

Approval Kepala Cabang - 10000246 (pemimpin cabang utama)

Approval Administrasi Umum Cabang Utama - 10000267

Tipe 3

Karyawan Cabang Pembantu - 10000255 (customer service capem pasar baru)
Approval Kepala Cabang Pembantu - 10000254 (pemimpin capem pasar baru)
Approval Administrasi Umum Cabang Pembantu Pasar Baru - 10000271
Terima kasih.

#5 - 08/05/2022 04:21 PM - Fiona Avangeline Jonathan

- File deleted (clipboard-202208051541-gbvuo.png)

#6 - 08/12/2022 09:45 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona , untuk flow paramater ini udah bisa di test ya

makasih

07/02/2025 3/4



#7 - 08/12/2022 10:29 AM - Fiona Avangeline Jonathan
- File Testing Flow BKT baru.docx added
- Status changed from QA Test to Closed

Mas Azid,

Semua flow sudah berjalan, terima kasih.

#8 - 03/21/2023 04:27 PM - Fiona Avangeline Jonathan
- File Approval Admin - Mapping EMPOFF x EMPID.xIsx added

Data mapping Employee Office x EmployeelD

Files

clipboard-202208031530-v3u8p.png
clipboard-202208051620-Ibv10.png

Testing Flow BKT baru.docx

Approval Admin - Mapping EMPOFF x EMPID.xIsx

07/02/2025
